Name:           sl
Version:        3.03
Release:        8%{?dist}
Summary:        Joke command for when you type 'sl' instead of 'ls'
Group:          Amusements/Graphics
License:        Copyright only
URL:            http://www.tkl.iis.u-tokyo.ac.jp/~toyoda/index_e.html
Source0:        http://www.tkl.iis.u-tokyo.ac.jp/~toyoda/%{name}/%{name}.tar
Source1:        %{name}.COPYRIGHT
Source2:        http://marcbradshaw.co.uk/packages/review/sl/sl-license-mail.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ncurses-devel libtermcap-devel

# Copyright file is taken from the Debian project
# http://packages.debian.org/changelogs/pool/main/s/sl/sl_3.03-14/sl.copyright
# and has been confirmed with the original author.

%description
The sl (Steam Locomotive) command is a joke which displays a train on your
terminal when you accidentally type 'sl' instead of 'ls'.


%prep
%setup -qn %{name}
iconv -f iso-2022-jp README -t utf8 > README.conv && \
    touch -c -r README README.conv && \
    mv README.conv README
iconv -f iso-2022-jp sl.1 -t utf8 > sl.1.conv && \
    touch -c -r sl.1 sl.1.conv && \
    mv sl.1.conv sl.1
cp -p %{SOURCE1} COPYRIGHT
cp -p %{SOURCE2} sl-license-mail.txt

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m0755 sl %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/ja/man1
install -p -m644 sl.1 %{buildroot}%{_mandir}/ja/man1/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYRIGHT sl-license-mail.txt
%{_mandir}/ja/man1/*
%{_bindir}/sl


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.03-7
- fix license tag (Freely redistributable without restriction is only 
  for firmware)

* Sun Oct 26 2008 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-6
- Moved man file to japanese language directory

* Sat Oct 25 2008 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-5
- Cleanup of spec file

* Wed Oct 15 2008 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-4
- Cleanup of spec file

* Wed Oct 15 2008 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-3
- Update Licence
- Update COPYRIGHT to include statement from author confirming licence
- Full statement may be found at the following URL
- http://marcbradshaw.co.uk/packages/review/sl/sl-license-mail.txt

* Thu Aug 09 2007 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-2
- Clean of spec file

* Thu Jul 12 2007 Marc Bradshaw <packages@marcbradshaw.co.uk> 3.03-1
- Initial package release
